Bug 1302540 - Missing libnatpmp Dependency in RPM spec
Missing libnatpmp Dependency in RPM spec
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 01:16 EST by justin.brown1.1@gmail.com
Modified: 2016-02-15 07:26 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 07:26:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf reinstall --debugsolver transmission-daemon transmission-common (6.42 MB, application/x-tar)
2016-02-12 16:25 EST, Andrea Perotti
no flags Details

  None (edit)
Description justin.brown1.1@gmail.com 2016-01-28 01:16:51 EST
Description of problem:

This update:

https://bodhi.fedoraproject.org/updates/FEDORA-2016-7fb3ad6fe3

removed libnatpmp from within transmission and started using the system provided library. Unfortunately, the RPM spec doesn't have a libnatpmp dependency.

On my system, I didn't already have libnatpmp installed and transmission-daemon refused to start.

I believe that 

    Requires: libnatpmp

should be in the common sub-package section at line 39 (http://pkgs.fedoraproject.org/cgit/rpms/transmission.git/tree/transmission.spec#n39). 


Version-Release number of selected component (if applicable):

This bug was introduced with transmission-common-2.84-10.fc23.x86_64
Comment 1 justin.brown1.1@gmail.com 2016-01-28 01:20:30 EST
~$ sudo -u transmission transmission-daemon

transmission-daemon: error while loading shared libraries: libnatpmp.so.1: cannot open shared object file: No such file or directory

~$ sudo dnf install transmission-daemon

~$ sudo -u transmission transmission-daemon
<starts normally>
Comment 2 justin.brown1.1@gmail.com 2016-01-28 01:21:22 EST
Oops. Install `libnatpmp`, not transmission-daemon...
Comment 3 Gwyn Ciesla 2016-01-28 09:33:52 EST
But I show that all transmission RPMS require libnatpmp.so.1, including -common and -daemon. . .
Comment 4 justin.brown1.1@gmail.com 2016-01-28 11:03:25 EST
You're right that `dnf repoquery --requires transmission-daemon` shows libnatpmp.so.1()(64bit).

I'm not sure where that dependency comes from, but when I applied the last transmission-daemon update, dnf didn't offer to install libnatpmp, leaving transmission broken.

After some more testing, this only occurs on package update. Maybe it's more of a dnf libresolv problem.
Comment 5 Gwyn Ciesla 2016-01-28 11:10:37 EST
Agreed, reassigning.
Comment 6 Michal Luscon 2016-02-01 08:15:55 EST
I am not able to find the duplicate bug, but the point was that some third-party rpm claimed to provide libnatpmp. Please try 'dnf repoquery --whatprovides libnatpmp' and feel free to reopen with provided debugdata if this is not the mentioned case.
Comment 10 Andrea Perotti 2016-02-01 11:50:29 EST
# dnf repoquery --whatprovides libnatpmp
Last metadata expiration check performed 0:36:04 ago on Mon Feb  1 16:58:11 2016.
libnatpmp-0:20140401-3.fc23.i686
libnatpmp-0:20140401-3.fc23.x86_64
libnatpmp-0:20150609-1.fc23.i686
libnatpmp-0:20150609-1.fc23.x86_64
Comment 11 Michal Luscon 2016-02-08 07:27:08 EST
Please reinstall the transition package with --debugsolver option and attach the obtained debugdata to this report.
Comment 12 Andrea Perotti 2016-02-12 16:25 EST
Created attachment 1123642 [details]
dnf reinstall --debugsolver transmission-daemon transmission-common
Comment 13 Michal Luscon 2016-02-15 07:26:53 EST
Plexmediaserver package installed on your system is providing libnatpmp.so.1()(64bit) in /usr/lib/plexmediaserver/libnatpmp.so.1. Please report this issue to the provider of plexmediaserver.

Note You need to log in before you can comment on or make changes to this bug.